# EditInlineMessageMedia - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.media / EditInlineMessageMedia

# EditInlineMessageMedia

(common) `data class EditInlineMessageMedia : EditInlineMessage, EditReplyMessage, EditMediaMessage` (source)

### Constructors

(common)

#### <init>

`EditInlineMessageMedia(inlineMessageId: InlineMessageIdentifier, media: InputMedia, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### inlineMessageId

`val inlineMessageId: InlineMessageIdentifier`

(common)

#### media

`val media: InputMedia`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

### Functions

(common)

#### method

`fun method(): String`